---
title: XRSessionEventInit.session
slug: Web/API/XRSessionEventInit/session
tags:
  - API
  - AR
  - Event
  - Mixed
  - Options
  - Reality
  - Reference
  - Session
  - Settings
  - VR
  - Virtual
  - WebXR
  - WebXR API
  - WebXR Device API
  - XR
  - XRSessionEventInit
  - augmented
---
<p>{{APIRef("WebXR Device API")}} {{SecureContext_Header}}</p>

<p><span class="seoSummary">The {{domxref("XRSessionEventInit")}} dictionary's <code><strong>session</strong></code> property specifies the {{domxref("XRSession")}} for which the event describes a state change.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">let <em>sessionEventInit</em> = {
  session: <em>xrSession</em>
};
<em>mySessionEvent</em> = new XRSessionEvent(<em>type</em>, <em>sessionEventInit</em>);

<em>mySessionEvent</em> = new XRSessionEvent(<em>type</em>,
                 { session: <em>XRSession</em> });
</pre>

<h3 id="Value">Value</h3>

<p>An {{domxref("XRSession")}} object indicating which WebXR session the event is referring to.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("WebXR", "#dom-xrsessioneventinit-session", "XRSessionEventInit.session")}}</td>
   <td>{{Spec2("WebXR")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>{{Compat("api.XRSessionEventInit.session")}}</div>
